com.opensymphony.xwork2.validator.annotations

## Annotation Type DoubleRangeFieldValidator

-     @Target(value=METHOD)
      @Retention(value=RUNTIME)
      public @interface DoubleRangeFieldValidator

  This validator checks that a double field has a value within a specified range. If neither min nor max is set, nothing will be done.

  Annotation usage:

  The annotation must be applied at method level.

  Annotation parameters:

  Parameter | Required | Default | Notes
  --- | --- | --- | ---
  message | yes |  | field error message
  key | no |  | i18n key from language specific properties file.
  messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
  fieldName | no |  |
  shortCircuit | no | false | If this validator should be used as shortCircuit.
  type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
  minInclusive | no |  | Double property. The inclusive minimum the number must be.
  minInclusiveExpression | no |  | OGNL expression used to obtain the inclusive minimum the number must be.
  maxInclusive | no |  | Double property. The inclusive maximum number can be.
  maxInclusiveExpression | no |  | OGNL expression used to obtain the inclusive maximum number can be.
  minExclusive | no |  | Double property. The exclusive minimum the number must be.
  minExclusiveExpression | no |  | OGNL expression used to obtain the exclusive minimum the number must be.
  maxExclusive | no |  | Double property. The exclusive maximum number can be.
  maxExclusiveExpression | no |  | OGNL expression used to obtain the exclusive maximum number can be.

  If neither min nor max is set, nothing will be done.

  The values for min and max must be inserted as String values so that "0" can be handled as a possible value.

  Example code:

       @DoubleRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, minInclusive = "0.123", maxInclusive = "99.987")

  Author:
    Rainer Hermanns

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `fieldName`
    `String` | `key`
    `String` | `maxExclusive` Double property.
    `String` | `maxExclusiveExpression`
    `String` | `maxInclusive` Double property.
    `String` | `maxInclusiveExpression`
    `String` | `message`
    `String[]` | `messageParams`
    `String` | `minExclusive` Double property.
    `String` | `minExclusiveExpression`
    `String` | `minInclusive` Double property.
    `String` | `minInclusiveExpression`
    `boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
    `ValidatorType` | `type`

- - ### Element Detail

    - #### minInclusive

          public abstract String minInclusive

      Double property.
      Returns:
        The inclusive minimum the number must be.
      Default:
        ""

    - #### minInclusiveExpression

          public abstract String minInclusiveExpression

      Returns:
        The inclusive minimum the number must be defined as an expression
      Default:
        ""

    - #### maxInclusive

          public abstract String maxInclusive

      Double property.
      Returns:
        The inclusive minimum the number must be.
      Default:
        ""

    - #### maxInclusiveExpression

          public abstract String maxInclusiveExpression

      Returns:
        The inclusive minimum the number must be defined as an expression
      Default:
        ""

    - #### minExclusive

          public abstract String minExclusive

      Double property.
      Returns:
        The exclusive maximum number can be.
      Default:
        ""

    - #### minExclusiveExpression

          public abstract String minExclusiveExpression

      Returns:
        The exclusive maximum number can be defined as an expression
      Default:
        ""

    - #### maxExclusive

          public abstract String maxExclusive

      Double property.
      Returns:
        The exclusive maximum number can be.
      Default:
        ""

    - #### maxExclusiveExpression

          public abstract String maxExclusiveExpression

      Returns:
        The exclusive maximum number can be defined as an expression
      Default:
        ""

    - #### message

          public abstract String message

      Returns:
        The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
      Default:
        ""

    - #### key

          public abstract String key

      Returns:
        The message key to lookup for i18n.
      Default:
        ""

    - #### messageParams

          public abstract String[] messageParams

      Returns:
        Additional params to be used to customize message - will be evaluated against the Value Stack
      Default:
        {}

    - #### fieldName

          public abstract String fieldName

      Returns:
        The optional fieldName for SIMPLE validator types.
      Default:
        ""

    - #### shortCircuit

          public abstract boolean shortCircuit

      If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.
      Returns:
        true if validator will be used as short-circuit. Default is false.
      Default:
        false

    - #### type

          public abstract ValidatorType type

      Returns:
        The validation type for this field/method.
      Default:
        com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.